%define major 		5
%define libname		%mklibname qmi-glib %{major}
%define develname	%mklibname qmi-glib -d

Name:		libqmi
Version:	1.16.2
Release:	%mkrel 1
Summary:	Qualcomm MSM Interface (QMI) protocol helper library
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.freedesktop.org/wiki/Software/libqmi/
Source:		https://www.freedesktop.org/software/libqmi/libqmi-%{version}.tar.xz
Patch0:		libqmi-1.16.2-optional-gtk-doc.patch

BuildRequires: libglib2.0-devel
BuildRequires: libmbim-devel

%description
libqmi is a glib-based library for talking to WWAN modems and devices which
speak the Qualcomm MSM Interface (QMI) protocol.

%package -n	%{libname}
Summary:	Qualcomm MSM Interface (QMI) protocol helper library
Group:		System/Libraries

%description -n	%{libname}
This package contains the libraries that make it easier to use QMI functionality
from applications that use glib.

%package -n	%{develname}
Summary:	Header files and development libraries for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	qmi-devel = %{version}-%{release}
Provides:	qmi-glib-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the header and pkg-config files for development
applications using QMI functionality from applications that use glib.

%package utils
Summary:	QMI protocol command line utilities
Group:		System/Base
License:	GPLv2+

%description utils
This package contains the utilities that make it easier to use QMI functionality
from the command line.

%prep
%setup -q
%apply_patches

%build
autoreconf -vfi
%configure2_5x \
	--disable-static \
	--with-udev-base-dir=%{_prefix}/lib/udev \
	--enable-mbim-qmux
%make

%install
rm -rf %buildroot
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%check
make check

%files -n %{libname}
%doc AUTHORS NEWS
%{_libdir}/%{name}-glib.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}-glib/
%{_libdir}/%{name}-glib.so
%{_libdir}/pkgconfig/qmi-glib.pc

%files utils
%{_bindir}/qmicli
%{_bindir}/qmi-network
%{_datadir}/bash-completion/completions/qmicli
%{_libexecdir}/qmi-proxy
%{_mandir}/man1/qmicli.1*
%{_mandir}/man1/qmi-network.1*


%changelog
* Tue Feb 14 2017 adrianomorselli <adrianomorselli> 1.16.2-1uplos2017
- update
- removed old stuff
